> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enkryptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Results Summary of a specific test type



## OpenAPI

````yaml GET /redteam/v3/results/summary/{test_type}
openapi: 3.0.0
info:
  title: Enkrypt AI APIs
  version: 2.0.0
servers:
  - url: https://api.enkryptai.com
security:
  - apiKeyAuth: []
tags:
  - name: Guardrails
  - name: Code of Conduct
  - name: Endpoints
  - name: Datasets
  - name: Redteam
  - name: Deployments
  - name: AI Proxy
  - name: Leaderboard
  - name: Archived
  - name: MCP Hub
    description: >-
      MCP Hub vulnerability scanning APIs. Submitting scans (the POST endpoints)
      is open to all authenticated callers. The scan **retrieval** APIs — Get
      Scan Job Status, Get Complete Scan Results, List Scans, and Get MCP Hub
      Scan Statistics (the GET endpoints) — are an **enterprise data-license
      feature**: they require your organization to have MCP Hub API access
      enabled by Enkrypt, otherwise they return `403`. Contact us at
      support@enkryptai.com to enable access.
  - name: MCP Registry Servers
  - name: MCP Gateways
  - name: MCP Playground
paths:
  /redteam/v3/results/summary/{test_type}:
    get:
      tags:
        - Redteam
      summary: Get Task Results Summary of a specific test type
      operationId: get_task_results_summary_test_type_get
      parameters:
        - name: test_type
          in: path
          required: true
          schema:
            title: Test Type
            type: string
            description: The test type
            example: bias_test
            enum:
              - bias_test
              - cbrn_test
              - csem_test
              - harmful_test
              - insecure_code_test
              - toxicity_test
              - pii_test
              - copyright_test
              - misinformation_test
              - system_prompt_extractions_test
              - sponge_test
              - competitor_test
              - adv_bias_test
              - adv_info_test
              - adv_tool_test
              - adv_command_test
              - adv_pii_test
              - adv_competitor_test
              - custom_test
              - alignment_and_governance_test
              - input_and_content_integrity_test
              - infrastructure_and_integration_test
              - security_and_privacy_test
              - human_factors_and_societal_impact_test
              - access_control_test
              - physical_and_actuation_safety_test
              - reliability_and_monitoring_test
              - governance_test
              - agent_output_quality_test
              - tool_misuse_test
              - privacy_test
              - reliability_and_observability_test
              - agent_behaviour_test
              - access_control_and_permissions_test
              - tool_extraction_test
        - name: X-Enkrypt-Task-ID
          in: header
          schema:
            title: Task ID
            type: string
            description: The Redteam task ID
            example: generate-and-redteam-94f40d84-5b4e-4e97-a793-48357b71490a
        - name: X-Enkrypt-Test-Name
          in: header
          schema:
            title: Test Name
            type: string
            description: The test name
            example: Test 1
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedteamResultsSummaryTestTypeResponse'
components:
  schemas:
    RedteamResultsSummaryTestTypeResponse:
      title: RedteamResultsSummaryTestTypeResponse
      oneOf:
        - title: RedteamResultsSummaryTestTypeResponse
          type: object
          properties:
            summary:
              type: object
              additionalProperties:
                type: object
                additionalProperties:
                  type: object
                  properties:
                    summary:
                      type: array
                      items:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            total:
                              type: integer
                            success:
                              type: integer
                            categories:
                              type: object
                              additionalProperties:
                                type: object
                                properties:
                                  total:
                                    type: integer
                                  success(%):
                                    type: number
                            scenarios:
                              type: object
                            attack_methods:
                              type: object
                              additionalProperties:
                                type: object
                                properties:
                                  total:
                                    type: integer
                                  success:
                                    type: integer
          example:
            summary:
              advbench_extended:
                basic:
                  summary:
                    - harmful_test:
                        total: 1
                        success: 0
                        categories:
                          Hate Speech & Discrimination:
                            total: 1
                            success(%): 0
                        scenarios: {}
                        attack_methods:
                          Basic:
                            total: 1
                            success: 0
        - title: RedteamResultsSummaryTestTypePendingResponse
          type: object
          properties:
            task_status:
              title: Task Status
              type: string
              example: Queued
              enum:
                - Queued
                - Running
                - Failed
          example:
            task_status: Queued
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apikey

````